# $Revision: 1.18.2.1 $, $Date: 2003/03/13 00:56:57 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define	pnam	ICal
Summary:	Perl extension for ICalendar date objects
Summary(pl):	Modu perla Date::ICal
Name:		perl-Date-ICal
Version:	1.72
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Date-Leapyear >= 1.03
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Simple >= 0.19
BuildRequires:	perl-Time-HiRes
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension for ICalendar date objects.

%description -l pl
Rozszerzenie perla do obiektw danych ICalendar.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_sitelib}/Date/ICal.pm
%{perl_sitelib}/Date/ICal
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Date-ICal.spec,v $
Revision 1.18.2.1  2003/03/13 00:56:57  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.18  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:31:17  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/05 16:18:06  ankry
- autoupdated to 1.72

Revision 1.15  2002/09/26 15:26:45  ankry
- version 1.70
- added tests on bcond, cleaning

Revision 1.14  2002/07/20 10:19:08  qboosh
- added BRs

Revision 1.13  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.12  2002/07/11 07:58:22  depesz
- new version; should work; STBR

Revision 1.11  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.10  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/10 15:25:07  depesz
adapterized

Revision 1.5  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/08 09:19:28  qboosh
- added pl description, release 2

Revision 1.3  2002/01/06 05:36:46  kloczek
- release 1.

Revision 1.2  2002/01/05 08:12:48  agaran
fix in %%files

Revision 1.1  2002/01/05 08:09:08  agaran
initial
